Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226185 - Merge Review: ncompress
Summary: Merge Review: ncompress
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:15 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-23 15:41:30 UTC
tibbs: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:15:09 UTC
Fedora Merge Review: ncompress

http://cvs.fedora.redhat.com/viewcvs/devel/ncompress/
Initial Owner: pvrabec@redhat.com

Comment 1 Jason Tibbitts 2007-02-03 23:47:28 UTC
rpmlint is silent, so there's just the buildroot.

* source files match upstream:
   d074dd867a22272fe1a22166b4644dda9ff09e41449f3f3bf3a15f2a070b00f8
   ncompress-4.2.4.tar.Z
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
X build root should be:
  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
* license field matches the actual license.
  The file LZW.INFO indicates that teh code is in the compression is in the
  public domain; I'm making the assumption that this covers the entire program.
  This package has been around for so long that I doubt that's incorrect.
* license is open source-compatible.
* latest version is being packaged.
* BuildRequires are proper (It's not necessary for gcc to be there.)
* compiler flags are appropriate.
* %clean is present.
* %makeinstall is not used.
* package builds in mock.
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane
   ncompress = 4.2.4-48.fc7
* %check is not present; no test suite upstream.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.


Comment 2 Jason Tibbitts 2007-02-04 04:47:28 UTC
After some discussion with oher folks, I've realized that there's little point
in blocking just because of the buildroot; it's more than reasonable to save a
round-trip through the review process and just ask you to fix it when you check in.

So, assuming you agree, we're good to go.

APPROVED

Comment 3 Michael Schwendt 2007-02-04 11:41:20 UTC
* /usr/bin => %{_bindir}

* "install -p ..." to preserve time-stamps of any files which are
not rebuild


Comment 4 Peter Vrabec 2007-02-09 10:35:53 UTC
fixed in ncompress-4.2.4-49.fc7

Comment 5 Jason Tibbitts 2007-02-23 15:41:30 UTC
The new version is in the repo now, so I'll close this ticket.


Note You need to log in before you can comment on or make changes to this bug.